clang 8.0.0

Public Member Functions | List of all members
clang::EmptyPragmaHandler Class Reference

EmptyPragmaHandler - A pragma handler which takes no action, which can be used to ignore particular pragmas. More...

`#include "clang/Lex/Pragma.h"`

Inheritance diagram for clang::EmptyPragmaHandler:
[legend]
Collaboration diagram for clang::EmptyPragmaHandler:
[legend]

## Public Member Functions
| EmptyPragmaHandler (StringRef Name=StringRef())
void | HandlePragma (Preprocessor &PP, PragmaIntroducerKind Introducer, Token &FirstToken) override
Public Member Functions inherited from clang::PragmaHandler
| PragmaHandler ()=default
| PragmaHandler (StringRef name)
virtual | ~PragmaHandler ()
StringRef | getName () const
virtual PragmaNamespace * | getIfNamespace ()
| getIfNamespace - If this is a namespace, return it. More...

## Detailed Description

EmptyPragmaHandler - A pragma handler which takes no action, which can be used to ignore particular pragmas.

Definition at line 78 of file Pragma.h.

## Constructor & Destructor Documentation

## ◆ EmptyPragmaHandler()

EmptyPragmaHandler::EmptyPragmaHandler | ( | StringRef | Name = `StringRef()` | ) |
| explicit

Definition at line 64 of file Pragma.cpp.

Referenced by clang::Preprocessor::IgnorePragmas().

## Member Function Documentation

## ◆ HandlePragma()

void EmptyPragmaHandler::HandlePragma | ( | Preprocessor & | PP,
|  | PragmaIntroducerKind | Introducer,
|  | Token & | FirstToken
| ) |  |
| override virtual

Implements clang::PragmaHandler.

Definition at line 66 of file Pragma.cpp.

Referenced by clang::Preprocessor::LexOnOffSwitch().

The documentation for this class was generated from the following files:

- include/clang/Lex/Pragma.h
- lib/Lex/Pragma.cpp